<?php

session_start();
if ($_SESSION['rol'] != 1 and $_SESSION['rol'] != 2) {
    header("location: ./");
}

include "../conexion.php";

if (!empty($_POST)) {
    $alert = '';


        $idproveedor = $_POST['id'];
        $ruc       = $_POST['ruc'];
        $proveedor   = $_POST['proveedor'];
        $contacto    = $_POST['contacto'];
        $telefono    = $_POST['telefono'];
        $direccion   = $_POST['direccion'];

        $result = 0;


            $sql_update = mysqli_query($conection, "UPDATE proveedor
															SET ruc = '$ruc', proveedor = '$proveedor', contacto='$contacto',telefono='$telefono',direccion='$direccion'
															WHERE idproveedor= $idproveedor ");

            if ($sql_update) {
                $alert = '<center><p class="msg_save">Proveedor actualizado correctamente. <i class="fas fa-check-circle"></i></p></center>';
            } else {
                $alert = '<center><p class="msg_error">Error al actualizar el proveedor. <i class="fas fa-exclamation-triangle"></i></p></center>';
            }
          } 

//Mostrar Datos
if (empty($_REQUEST['id'])) {
    header('Location: lista_proveedores.php');
    mysqli_close($conection);
}
$idproveedor = $_REQUEST['id'];

$sql = mysqli_query($conection, "SELECT * FROM proveedor WHERE idproveedor= $idproveedor and estatus = 1");
mysqli_close($conection);
$result_sql = mysqli_num_rows($sql);

if ($result_sql == 0) {
    header('Location: lista_proveedores.php');
} else {
    while ($data = mysqli_fetch_array($sql)) {

        $idproveedor = $data['idproveedor'];
        $ruc        = $data['ruc'];
        $proveedor   = $data['proveedor'];
        $contacto    = $data['contacto'];
        $telefono    = $data['telefono'];
        $direccion   = $data['direccion'];
    }
}

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <?php include "includes/scripts.php"; ?>
    <title>Editar Proveedor | SIS - FACTURACION</title>
    <link rel="icon" href="../img/logo_favicon_vigitronic.ico">
</head>

<body>
    <?php include "includes/header.php"; ?>
    <section id="container">

        <div class="form_register">
            <center>
                <h1><i class="far fa-edit"></i> Editar Proveedor</h1>
            </center>
            <hr>
            <div class="alert"><?php echo isset($alert) ? $alert : ''; ?></div>

            <form action="" method="post">
                <input type="hidden" name="id" value="<?php echo $idproveedor ?>">
                <label for="ruc">RUC</label>
                <input type="text" name="ruc" id="ruc" placeholder="Numero de RUC" value="<?php echo $ruc; ?>">
                <label for="proveedor">Nombre del proveedor</label>
                <input type="text" name="proveedor" id="proveedor" placeholder="Nombre del Proveedor" value="<?php echo $proveedor ?>">
                <label for="contacto">Contacto</label>
                <input type="text" name="contacto" id="contacto" placeholder="Nombre completo del contacto" value="<?php echo $contacto ?>">
                <label for="telefono">Telefono</label>
                <input type="text" name="telefono" id="telefono" placeholder="Telefono" value="<?php echo $telefono ?>">
                <label for="direccion">Direccion</label>
                <input type="text" name="direccion" id="direccion" placeholder="Direccion completa" value="<?php echo $direccion ?>">

                <button type="submit" class="btn_save"><i class="fas fa-edit"></i> Editar proveedor</button>

            </form>

        </div>


    </section>
    <?php include "includes/footer.php"; ?>
</body>

</html>